SparkFun Qwiic GPIO - TCA9534 Arduino Library
========================================

![SparkFun Qwiic GPIO - TCA9534](https://cdn.sparkfun.com/assets/parts/1/5/2/9/5/16443-Qwiic_GPIO-01.jpg)

[*SparkFun Qwiic GPIO - TCA9534 (DEV-16443)*](https://www.sparkfun.com/products/16443)

The TCA9534 is an I2C->GPIO IC with 8 GPIO per IC. 8 hardware customizable addresses allow for 64 GPIO on a single bus

This library allows the user to:

* Set I/O pins as Inputs or Outputs either individually or as a port
* Write or read I/O pins when configured as Inputs or Outputs, respectively.
* Invert I/O pins' polarity individually or as a port.
* Control the Interrupt pin of the TCA9534.

Examples are included to get you started

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------
* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfunX/Qwiic_GPIO)** - Main repository (including hardware files) for the SparkFun Qwiic GPIO

Products That Use This Library 
---------------------------------
* [SPX-16443](https://www.sparkfun.com/products/16443) - Qwiic GPIO - TCA9534

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release any derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
